if(!dojo._hasResource["com.ibm.mashups.builder.Personalize"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mashups.builder.Personalize"] = true;
dojo.provide("com.ibm.mashups.builder.Personalize");

dojo.declare( "com.ibm.mashups.builder.Personalize", null, {

    constructor:function () {
    },
    
    /**
     * set current widget's size into navigation state.
     * @param {String} widgetId widget's Id never <code>null</code>
     * @param {Object} size widget's size object, never <code>null</code>
     * @type void
     */
	setPersonalizeSize:function(widgetId, size) {},
	
	 /**
     * Returns  the widget's size in navigation state for the current user.
     * @param {String} widgetId widget's Id never <code>null</code>
     * @type Object 
     * @return size object, never <code>null</code>.
     */
	getPersonalizeSize:function(widgetId) {},
	
    /**
     * set current widget's state into navigation state.
     * @param {String} widgetId widget's Id never <code>null</code>
     * @param {String} state widget's state, never <code>null</code>
     * @type void
     */
	setPersonalizeWidgetState:function(widgetId, state) {},
	
	 /**
     * Returns  the widget's state in navigation state for the current user.
     * @param {String} widgetId widget's Id never <code>null</code>
     * @type Object 
     * @return state, never <code>null</code>.
     */
	getPersonalizeWidgetState:function(widgetId) {},
	
	 /**
     * Returns the boolean value if the widget is in layout widget or not.
     * @param {String} widgetId widget's Id, never <code>null</code>
     * @param {String} layoutWidgetId layout widget's Id, never <code>null</code>
     * @type boolean 
     * @return {boolean} true/false, never <code>null</code>.
     */
	isWidgetInLayout:function(widgetId, layoutWidgetId) {},
	
	 /**
     * Returns the node of the widget skin.
     * @param {String} widgetId widget's Id, never <code>null</code>
     * @type Object 
     * @return {Object} The widget Skin HTML DOM node.
     */
	getWidgetSkinNode: function(widgetId){
    },
    
	/**
     * Returns the node of the widget content.
     * @param {String} widgetId widget's Id, never <code>null</code>
     * @type Object 
     * @return {Object} The widget Skin HTML DOM content.
     */
    getWidgetContentNode: function(widgetId){
    },
    
	/**
     * Set the widget's skin node size.
     * @param {String} widgetId widget's Id, never <code>null</code>
     * @param {Object} size new widget skin size, never <code>null</code>
     * @type void
     */
    resetWidgetSkin: function(widgetId, size){
    },
    
	/**
     * Publish the resize event to enabler for resizing the content by widget itself.
     * @param {String} widgetId widget's Id, never <code>null</code>
     * @type void
     */
    publicResizeEvent: function(widgetId){
    },
    
	/**
     * Set the widget's content node size.
     * @param {String} widgetId widget's Id, never <code>null</code>
     * @param {Object} size new widget content size, never <code>null</code>
     * @type void
     */
    resetWidgetContent: function(widgetId, size){
    }
});

}
