dojo.provide("com.ibm.mm.builder.spaceCopyWidget");
dojo.require("dojo.string");
dojo.require("com.ibm.mm.builder.iwidget.spacemanager.SpaceManagerConstants");
dojo.declare("com.ibm.mm.builder.spaceCopyWidget",null,{eventService:com.ibm.mashups.services.ServiceManager.getService(com.ibm.mashups.iwidget.services.EventService.SERVICE_NAME),onLoad:function(){
this.widgetId=this.iContext.widgetId;
this.WID="_"+this.widgetId+"_";
this.cs=com.ibm.mashups.services.ServiceManager.getService(com.ibm.mashups.enabler.services.ConfigService.SERVICE_NAME);
this.resourceBundle=com.ibm.mm.builder.coreWidgetsStrings;
this.resourceMessage=com.ibm.mm.builder.coreWidgetsMessages;
},hide:function(){
this.eventService.broadcastEvent("com.ibm.mashups.builder.closeMashupDialog",this.widgetId);
},onView:function(){
dojo.parser.parse(this.iContext.getRootElement());
dojo.byId(this.WID+"space_name_label").innerHTML=this.resourceBundle.COPY_SPACE_NAME;
dojo.byId(this.WID+"space_desc_label").innerHTML=this.resourceBundle.COPY_SPACE_DESC;
var _1=this.cs.getValue(com.ibm.mashups.enabler.services.ConfigConstants.SERVER_TYPE);
if(_1==com.ibm.mashups.enabler.services.ConfigConstants.SERVER_TYPE_PORTAL){
dojo.style(dojo.byId(this.WID+"copy_space_hint"),"display","none");
}
},_copySpace:function(_2,_3,_4){
var _5=com.ibm.mm.builder.utils.spaceUtil;
var _6=_5.getSpaceModel();
var _7=_5.getSpaceNode(_2);
var _8=_7.isFavorite();
var _9=_6.create({"clonedSpace":_2});
_9.setTitle(_3,builderConfig.locale);
_9.setDescription(_4,builderConfig.locale);
if(_8){
_9.setFavorite(true);
}
_6.insert(_9);
var _a=_6.commit();
var _b=null;
_a.setOperationCallback(dojo.hitch(this,function(_c){
_b=_c.getID();
}));
_a.setFinishedCallback(dojo.hitch(this,function(_d){
if(_b!==null){
this.eventService.broadcastEvent("com.ibm.mashups.builder.spacemanager.spaceCreated",_b);
if(!this.copySpaceInSpaceManager){
this.eventService.broadcastEvent("com.ibm.mashups.builder.switchSpace",_b);
}
_5.getSpaceModel(true);
}
}));
_a.start();
},_getTitle:function(){
return dojo.byId(this.WID+"SpaceName").value;
},_getDescription:function(){
return dojo.byId(this.WID+"SpaceDesc").value;
},_checkTitle:function(_e){
_e=dojo.trim(_e||"");
if(!_e){
return {res:false,errorMsg:this.resourceMessage.E_SPACE_MANAGER_SPACE_NAME_IS_REQUIRED_0};
}
if(_e.length>256){
return {res:false,errorMsg:this.resourceMessage.E_SPACE_MANAGER_SPACE_NAME_HAS_MAX_LIMIT_0};
}
var _f=ibmConfig[com.ibm.mashups.enabler.services.ConfigConstants.BUILDER_TITLE_FILTER_REGEXP];
if(_e.match(_f)){
return {res:false,errorMsg:this.resourceMessage.E_SPACE_MANAGER_SPACE_NAME_HAS_INVALID_CHAR_0};
}
return {res:true};
},_verifyTitle:function(_10){
var _11=dojo.byId(this.WID+"SpaceName");
var _12=this._checkTitle(_10);
if(!_12.res){
this._setAsAriaInvalid(_11);
this.messageControl.attr("message",_12.errorMsg);
this.messageControl.show();
return false;
}
this._removeAriaInvalid(_11);
return true;
},_verifyDescription:function(_13){
if(!dojo.isString(_13)){
return false;
}
var _14=dojo.byId(this.WID+"SpaceDesc");
if(_13.length>=512){
this._setAsAriaInvalid(_14);
this.messageControl.attr("message",this.resourceMessage.E_SPACE_MANAGER_SPACE_DESC_HAS_MAX_LIMIT_0);
this.messageControl.show();
return false;
}
this._removeAriaInvalid(_14);
return true;
},_setAsAriaInvalid:function(_15){
dojo.attr(_15,"aria-invalid","true");
},_removeAriaInvalid:function(_16){
dojo.removeAttr(_16,"aria-invalid");
},_verifyInput:function(_17,_18){
return this._verifyTitle(_17)&&this._verifyDescription(_18);
},save:function(){
var _19=this.spaceId;
var _1a=this._getTitle();
var _1b=this._getDescription();
if(!this.messageControl){
dojo.registerModulePath("com.ibm.lotus.oneui.v100.messages",this.iContext.io.rewriteURI("../dijit-library/oneUI.versionized/messages"));
dojo.require("com.ibm.lotus.oneui.v100.messages.Message");
this.messageControl=new com.ibm.lotus.oneui.v100.messages.Message({messageType:"error"},this.WID+"messageBox");
this.messageControl.hide();
}
if(!this._verifyInput(_1a,_1b)){
return;
}
dojo.attr(this.WID+"btn_save","disabled",true);
this._copySpace(_19,_1a,_1b);
this.messageControl.hide();
this.hide();
},onCopySpace:function(_1c){
if(_1c.payload&&_1c.payload.spaceId){
this.spaceId=_1c.payload.spaceId;
this.copySpaceInSpaceManager=_1c.payload.copySpaceInSpaceManager;
}else{
this.spaceId=_1c.payload;
this.copySpaceInSpaceManager=false;
}
this.cleanUI();
},cleanUI:function(){
if(this.messageControl){
this.messageControl.hide();
}
dojo.attr(this.WID+"btn_save","disabled",false);
var _1d=com.ibm.mm.builder.utils.spaceUtil;
var _1e=_1d.getSpaceModel();
var _1f=_1e.find(this.spaceId).start();
if(_1f){
var _20=_1f.getTitle(builderConfig.locale);
if(!_20){
_20=_1f.getTitle(this.cs.getValue("default.locale"));
}
var _21=_1f.getDescription(builderConfig.locale);
if(!_21){
_21=_1f.getDescription(this.cs.getValue("default.locale"));
}
dojo.byId(this.WID+"SpaceName").value=dojo.string.substitute(this.resourceBundle.COPY_SPACE_COPY_OF,[_20]);
dojo.byId(this.WID+"SpaceDesc").value=_21?_21:"";
}else{
return;
}
}});

