if(!dojo._hasResource["com.ibm.mashups.liveTracing"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mashups.liveTracing"] = true;
dojo.provide("com.ibm.mashups.liveTracing");

(function(){
    
    var mmltrace = com.ibm.mashups.liveTracing = {
        debugCookieName: "digest.ignore.debug.mashups",
        
        _arrayToString: function(arr) {
            var str = "";
            while(arr.length > 0) {
                str += arr.shift();
                if(arr.length > 0) {
                    str += "|";
                }
            }
            return str;
        },
    
        enableDebug: function(traceSetting) {
            var stringValue = dojo.cookie(mmltrace.debugCookieName);
            var value = {};
            if (stringValue) value = dojo.fromJson(stringValue);

            value.enableDebug = true;
            if(traceSetting) {
                if(dojo.isString(traceSetting)) {
                    var parts = traceSetting.split(",");
                    traceSetting = this._arrayToString(parts);
                }
                else if(dojo.isArray(traceSetting)) {
                    traceSetting = this._arrayToString(traceSetting);
                }
                value.traceString = traceSetting;
            }
            
            stringValue = dojo.toJson(value);
            dojo.cookie(mmltrace.debugCookieName, stringValue, {path: "/"});

            console.info("You just enabled debugging and uncompressed javascript versions. Please refresh to activate.");
        },
        disableDebug: function() {
            var stringValue = dojo.cookie(mmltrace.debugCookieName);
            var value = {};
            if (stringValue) value = dojo.fromJson(stringValue);
            if (value.enableDebug) {
                delete value.enableDebug;
            }
            if (value.traceString) {
                delete value.traceString;
            }
            stringValue = dojo.toJson(value);
            dojo.cookie(mmltrace.debugCookieName, stringValue, {path: "/"});

            console.info("You just disabled debugging and uncompressed javascript versions. Please refresh to activate.");
        },
        clear: function() {
            dojo.cookie(mmltrace.debugCookieName, null, {path: "/", expires: -1});
        },
        showEffectiveTracing: function() {
            // what is actually being used
            alert(ibmConfig.traceConfig);
        },
        showConfiguredTracing: function() {
            // what is set in the cookie
            alert(dojo.cookie(mmltrace.debugCookieName));
        }
    }
})();

}
