if(!dojo._hasResource["com.ibm.mm.builder.eventTopics"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.eventTopics"] = true;
/**
 * @author Marshall (shiwcsdl@cn.ibm.com)
 */
dojo.provide("com.ibm.mm.builder.eventTopics");

com.ibm.mm.builder.eventTopics = {
	
	/* Hidden Widgets Correl */
	Hidden_Widgets_Correl_Display: "/builder/hwc/display",
	/* Page  start */
	Page_ModeChanged: "/builder/changeMode",
	Page_ContentChanged: "pageChanged",
	Page_OnChanged: "onChangeMode",	
	Page_Save: "/builder/page/save",
	Update_Page_With_Default_Content: "/builder/page/update",
	
	// Page_OnSave will be published when current page is saved
	// the parameter is a boolean (true: save successfully, false: save failed)
	Page_OnSave: "/builder/pageSaved",	
	/* Page  end */
	
	//change mode
	Goto_Catalog: "/builder/goto/catalog",
	Open_Catalog: "/builder/open/catalog",
	Open_Catalog_New_Window : "/builder/open/catalog_new_window",
	
	/* Wiring start */
	WirePane_OverWidget: "wirePane/moveOverWidget",
	WirePane_OutWidget: "wirePane/moveOutWidget",
	/* Wiring end */
	
	/* Banner start */
	//Banner_TitleChanged: "/builder/titleChanged",  /*deprecated since we use iEvent wires*/
	Banner_BackgroundChanged:"/builder/backgroundChanged",
	Banner_BackgroundChangedBack:"/builder/backgroundChangedBack",
	/* Banner end */
	
	/* Widget start */
	Widget_ConfigurationFinished: "/widget/action/finished",	
	Widget_Hide: "/widget/action/hide",
	Widget_Create: "/widget/action/create",
	Widget_Column_AddOrDel: "/widget/column/addOrDel",
	/* Widget end */
	
	/* Resize start */
	Resize_StartSizing: "/startSizing",
	Resize_StartHeightSizing: "/startHeightSizing",
	Resize_ChangeSizing: "/changeSizing",
	Resize_ChangeHeightSizing: "/changeHeightSizing",
	Resize_EndSizing: "/endSizing",
	Resize_EndHeightSizing: "/endHeightSizing",
	/* Resize end */

	Save_Icon_Change: "/saveIconChange",
	
	/* Widget menu start */
	WidgetMenu_Hide: "/widgetMenu/action/hide",
	/* Widget menu end */	
	
	/* ACL Page Control start */
	UpdateViewPageControl: "/ACL/pageControl/view",
	UpdatePersonalizePageControl: "/ACL/pageControl/personalize",
	UpdateEditPageControl: "/ACL/pageControl/edit",
	UpdateSearchPageControl: "/ACL/pageControl/search",
	UpdateAllPageControl: "/ACL/pageControl/all",
	AclDialogHide:"/ACL/dialogHide",
	/* ACL Page Control end */
	
	/* Publish Page start*/
	Publish_Page_Show: "/publish/page/show",
	Publish_Page_Hide: "/publish/page/hide",
	
	FreeForm_Layout_Loaded:"/freeformlayout/loaded"
};

// for v1.1 widget compatibility
com.ibm.mm.builder.Topics = com.ibm.mm.builder.eventTopics;

}
