if(!dojo._hasResource["com.ibm.mm.builder.iwidget.spacemanager.SpaceManagerConstants"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.iwidget.spacemanager.SpaceManagerConstants"] = true;
dojo.provide("com.ibm.mm.builder.iwidget.spacemanager.SpaceManagerConstants");

dojo.setObject("com.ibm.mm.builder.iwidget.spacemanager.SpaceManagerConstants", {
	ModelName : {
		"SpacesCategory" : "spaces_category",
		"RecentlyVisitedSpaces" : "recently_visited_spaces",
		"FavoriteSpaces" : "favorite_spaces",
		"AllSpaces" : "all_spaces",
		"MySpaces" : "my_spaces"
	},
	Topic : {
		"Space" : {
			"create" : "/spaceManager/space/create",
			"update" : "/spaceManager/space/update",
			"delete" : "/spaceManager/space/delete",
			"filter" : "/spaceManager/space/filter",
			"refresh" : "/spaceManager/space/refresh",
			"switch" : "/spaceManager/space/switch",
			"switchPage" : "/spaceManager/space/switchPage",
			"addToRecentSpaces" : "/spaceManager/space/addToRecentSpaces",
			"removeFromRecentSpaces" : "/spaceManager/space/removeFromRecentSpaces",
			"refreshRecentSpaces" : "/spaceManager/space/refreshRecentSpaces",
			"changeSpaceTitle" : "/spaceManager/space/changeSpaceTitle"
		},
		"Category" : {
			"change" : "/spaceManager/category/change"
		},
		"Common" : {
			"showMessage" : "/spaceManager/common/showMessage",
			"hideMessage" : "/spaceManager/common/hideMessage"
		}
	},
	Config : {
		"RecentSpaces" : {
			"MAX_LENGTH" : builderConfig.recentSpacesMaximumNumber,
			"INITIAL_SIZE" : builderConfig.recentSpacesMaximumNumber
		}
	},
	
	Action : {
		"ADD_PAGE"		:	"refreshWithNewPages",
		"ADD_FAVORITE"	:	"refreshWithAddFavorite",
		"SHOW_SPACE"	:	"refreshWithShowSpace",
		"HIDE_SPACE"	: 	"refreshWithHideSpace",
		"SHOW_PAGE"		:	"refreshWithShowPage",
		"HIDE_PAGE"		:	"refreshWithHidePage",
		"MAKE_HOME"		:	"refreshWithMakeHomeSpace",
		"UNMAKE_HOME"	:	"refreshWithUnmakeHomeSpace",
		"CREATE_SPACE"	:	"refreshWithCreateSpace",
		"DELETE_SPACE"	:	"refreshWithDeleteSpace",
		"EDIT_SPACE"	:	"refreshWithEditSpace",
		"CHANGE_OWNER"	:	"refreshWithChangeOwner",
		"DELETE_PAGE"	:	"refreshWithDeletePage",
		"EDIT_PAGE"		:	"refreshWithEditPage",
		"REMOVE_FAVORITE":	"refreshWithRemoveFavorite",
		"MOVE_PAGE"		:	"refreshWithMovePage"
	},
	CookieKey: {
		RECENT_SPACES: "digest.ignore.recent.spaces."
	},
	
	"ALL" : "all",
	"FAVORITE" : "favorite",
	"MY" : "my"
});

}
