if(!dojo._hasResource["com.ibm.mm.builder.widget.CustomLayer"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.widget.CustomLayer"] = true;
dojo.provide("com.ibm.mm.builder.widget.CustomLayer");

dojo.require("dojo.dnd.move");
dojo.require("dojo.fx");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dijit.layout.ContentPane");
dojo.require("dijit.form.Form");

dojo.declare("com.ibm.mm.builder.widget.CustomLayer",
	[dijit.Dialog], {

	templateString:
		'<div class="transparent">'+
			'<div dojoAttachPoint="titleBar" tabindex="0" waiRole="dialog" title="${title}">'+
				'<button dojoAttachEvent="onclick: changeWiring">Try the other interactions UI</button>'+
				'<span dojoAttachPoint="closeButtonNode" class="dijitDialogCloseIcon" dojoAttachEvent="onclick: hide"></span>'+
			'</div>'+
			'<div dojoAttachPoint="containerNode" class="dijitDialogPaneContent"></div>'+
		'</div>',
	
	newWiring: false,
	
	oldFlash:"",
	newFlash:"",
	
	setFlash: function(type, str) {
		if (type == "old") {
			this.oldFlash = str;
		} else if (type == "new") {
			this.newFlash = str;
		}
	},
	
	postCreate: function() {
		com.ibm.mm.builder.widget.CustomLayer.superclass.postCreate.apply(this, arguments);
	},
	
	_setup: function(){
		// summary:k
		//		stuff we need to do before showing the Dialog for the first
		//		time (but we defer it until right beforehand, for
		//		performance reasons)

		this._modalconnects = [];

		this._underlay = new dijit.DialogUnderlay();

		var node = this.domNode;
		this._fadeIn = dojo.fx.combine(
			[dojo.fadeIn({
				node: node,
				duration: this.duration
			 }),
			 dojo.fadeIn({
				node: this._underlay.domNode,
				duration: this.duration,
				onBegin: dojo.hitch(this._underlay, "show")
			 })
			]
		);
		
		this._fadeOut = dojo.fx.combine(
			[dojo.fadeOut({
				node: node,
				duration: this.duration,
				onEnd: function(){
					node.style.display="none";
				}
			 }),
			 dojo.fadeOut({
				node: this._underlay.domNode,
				duration: this.duration,
				onEnd: dojo.hitch(this._underlay, "hide")
			 })
			]
		);
	},
	
	hide: function() {
		com.ibm.mm.builder.widget.CustomLayer.superclass.hide.apply(this);
		this.newWiring = false;
	},
		
	changeWiring: function() {
		if(!this.newWiring) {
			this.setContent(this.newFlash);
			this.newWiring = true;
		} else {
			this.setContent(this.oldFlash);
			this.newWiring = false;
		}
	},
	
	_position: function() {}
	
});

}
